import { useSignal } from "@preact/signals";
import Counter from "../islands/Counter.tsx";
import { Handlers } from "$fresh/server.ts";
import { getCookies } from "$std/http/cookie.ts";
import { db, User } from "../storage/store.ts";
import { auth } from "../auth/auth.ts";

export const handler: Handlers = {
	GET(req, ctx) {
		const cookies = getCookies(req.headers);
		const user = get_session_user(cookies);
		return ctx.render!({ user });
	},
};

export default function Home() {
	const count = useSignal(3);
	return (
		<div class="px-4 py-8 mx-auto bg-[#86efac]">
			<div class="max-w-screen-md mx-auto flex flex-col items-center justify-center">
				<img
					class="my-6"
					src="/logo.svg"
					width="128"
					height="128"
					alt="the Fresh logo: a sliced lemon dripping with juice"
				/>
				<h1 class="text-4xl font-bold">Welcome to Fresh</h1>
				<p class="my-4">
					Try updating this message in the
					<code class="mx-2">./routes/index.tsx</code> file, and refresh.
				</p>
				<Counter count={count} />
			</div>
		</div>
	);
}
